Bug 12540 - server min protocol = SMB3_00 prevents client min protocol >= SMB3_00 from connecting
server min protocol = SMB3_00 prevents client min protocol >= SMB3_00 from co...
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
4.6.0rc1
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-01-25 19:54 UTC by Stefan Metzmacher
Modified: 2017-02-13 15:43 UTC (History)
3 users (show)

See Also:


Attachments
Patches for v4-6-test (4.17 KB, patch)
2017-01-27 12:21 UTC, Stefan Metzmacher
slow: review+
metze: review? (asn)
Details
Patches for v4-5-test (4.17 KB, patch)
2017-01-27 12:22 UTC, Stefan Metzmacher
slow: review+
metze: review? (asn)
Details
Patches for v4-4-test (4.17 KB, patch)
2017-01-27 12:22 UTC, Stefan Metzmacher
slow: review+
metze: review? (asn)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2017-01-25 19:54:50 UTC
server min protocol = SMB3_00 doesn't allow the SMB1 negprot with dialect "2.???"
to upgrade to an SMB3 negprot.
Comment 1 Stefan Metzmacher 2017-01-27 12:21:47 UTC
Created attachment 12854 [details]
Patches for v4-6-test
Comment 2 Stefan Metzmacher 2017-01-27 12:22:15 UTC
Created attachment 12855 [details]
Patches for v4-5-test
Comment 3 Stefan Metzmacher 2017-01-27 12:22:45 UTC
Created attachment 12856 [details]
Patches for v4-4-test
Comment 4 Ralph Böhme 2017-01-27 12:49:13 UTC
Reassigning to Karolin for inclusion in 4.4, 4.5 and 4.6.
Comment 5 Karolin Seeger 2017-02-01 11:51:39 UTC
(In reply to Ralph Böhme from comment #4)
Pushed to autobuild-v4-{6,5,4}-test.
Comment 6 Karolin Seeger 2017-02-13 15:43:39 UTC
(In reply to Karolin Seeger from comment #5)
Pushed to all branches.
Closing out bug report.

Thanks!